Subject: Re: [bug#40791] Append: KDE upgrade

From: Tom Zander <[email-masked]>
Date: Sat, 02 May 2020 22:02:06 +0200

The kwayland issue looks like a missing dependency. Likely something that is 
an input but not a propagated input up the stack.
A little tricky as I don't see any 'wayland-client' package.

I postponed upgrading kwayland for now so the rest of the kde upgrades can 
continue.

Would it be wise to open a new bug for the KDE upgrade, especially since it 
can be applied on master?

On zaterdag 2 mei 2020 16:29:13 CEST Marius Bakke wrote:
> Tom via Guix-patches via <[email-masked]> writes:
> > I ran the script and fixed several build failures.
> > 
> > Notable failure is kwayland in cmake configure step.
> > I have no idea why.
> > 
> > Would like some assist there.
> 
> I wonder if these KDE updates can be applied on the current master
> branch (without the Qt upgrade)?  Does the same error occur then?
> 
> If it works on 'master', let's merge this first.
> 
> Meanwhile, please adjust the commit message to mention all the changed
> variables, [arguments], etc.
> 
> I will have a deeper look in a couple of days.  Thanks!

-- 
Tom Zander